# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Regexp
%define	pnam	Ignore
Summary:	Regexp::Ignore perl module - ignore unwanted parts of text
Summary(pl):	Modu perla Regexp::Ignore - ignorujcy niechciane czsci tekstu
Name:		perl-Regexp-Ignore
Version:	0.03
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Ignore - Let us ignore unwanted parts (e.g. tags in markup
languages as HTML), while parsing text.

%description -l pl
Modu Regexp::Ignore - pozwalajcy ignorowa niechciane fragmenty
(np. znaczniki w jzykach typu HTML) podczas analizy tekstu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%{__perl} -pi -e 's:/usr/local/bin/perl:/usr/bin/perl:' examples/speller.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Regexp/Ignore*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Regexp-Ignore.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:58:37  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:56  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/05 13:31:02  ankry
- updated to 0.03 (still alpha code)
- addaed (enabled) tests
- fixed perl path and attributes in an example

Revision 1.1  2002/07/14 02:24:10  qboosh
- new
